/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
import javax.naming.*
import javax.naming.directory.*

env = [
'java.naming.factory.initial': 'com.sun.jndi.ldap.LdapCtxFactory',
'java.naming.provider.url': 'ldap://magritte:389/',
'java.naming.security.principal': 'cn=Manager,dc=magritte',
'java.naming.security.credentials': 'secret'
] as Hashtable

ctx = new InitialDirContext(env)
dn = 'cn=Paul Panther,ou=personen,dc=bundestag,dc=de'

// Attribute des Eintrags
attrs = new BasicAttributes()
ocls = new BasicAttribute('objectClass')
ocls.add('top')
ocls.add('person')
attrs.put(ocls)
attrs.put('sn', 'Panther')
attrs.put('cn', 'Paul Panther')

// Eintrag anlegen
ctx.createSubcontext(dn, attrs)
