/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel5.spring;

import javax.naming.Binding;
import javax.naming.NamingEnumeration;
import javax.naming.NamingException;
import javax.naming.directory.DirContext;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * Zugriff auf einen JNDI-Kontext in Spring -- (Listing 5_8).
 * 
 * @author Stefan Z&ouml;rner
 */
public class InitialContextDemo {

  @SuppressWarnings("resource")
  public static void main(String[] args) throws NamingException {
    
    ApplicationContext appCtx = new ClassPathXmlApplicationContext(
        "ldapbuch/kapitel5/spring/initialContext.xml");
    DirContext ctx = (DirContext) appCtx.getBean("ldapCtx");

    NamingEnumeration<Binding> ne = ctx.listBindings("");
    while (ne.hasMore()) {
      System.out.println(ne.next().getNameInNamespace());
    }

    ctx.close();
  }
}