/* Beispiele aus dem Buch "LDAP fuer Java-Entwickler", 
 * Stefan Zoerner, 4. aktualisierte Auflage 2013
 *  
 * Webseite zum Buch: http://www.ldapjava.de/ 
 * Software & Support Media GmbH / entwickler.press, http://www.entwickler-press.de/
 */
package ldapbuch.kapitel5.spring;

import java.util.Hashtable;

import javax.naming.Binding;
import javax.naming.NamingEnumeration;
import javax.naming.NamingException;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * Zugriff auf Konfiguration, siehe Seite 187.
 * 
 * @author Stefan Z&ouml;rner
 */
public class ReinerInitialContextZerlegt {

  public static void main(String[] args) throws NamingException {
    ApplicationContext appCtx = new ClassPathXmlApplicationContext(
        "ldapbuch/kapitel5/spring/initialContextZerlegt.xml");

    Hashtable<?, ?> env = (Hashtable<?, ?>) appCtx.getBean("ldpaEnv");
    DirContext ctx = new InitialDirContext(env);
    
    NamingEnumeration<Binding> ne = ctx.listBindings("");
    while (ne.hasMore()) {
      System.out.println(ne.next().getNameInNamespace());
    }

    ctx.close();
  }
}